ANNIE1-Assembly - Task #11090

PMT cabling and shipping
12/06/2015 11:58 AM - Matthew Wetstein

Status: New Start date: 12/14/2015
Priority: Normal Due date: 01/08/2016
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Irvine

History

#1 - 01/12/2016 02:30 AM - Matthew Wetstein
- % Done changed from 0 to 20

#2 - 01/12/2016 02:30 AM - Matthew Wetstein
- % Done changed from 20 to 10

#3 - 01/12/2016 02:36 AM - Matthew Wetstein
- % Done changed from 10 to 20

#4 - 01/13/2016 12:50 PM - Matthew Wetstein
- % Done changed from 20 to 40

#5 - 04/06/2016 11:05 PM - Matthew Wetstein
- % Done changed from 40 to 100
